From 38ee0b6b4d90eaed969f54a29c2671fbb89b33ea Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 33/42] python-pluggy: update to 0.12.0.

---
 srcpkgs/python-pluggy/template  | 25 +++++++------------------
 srcpkgs/python3-pluggy          |  1 -
 srcpkgs/python3-pluggy/template | 25 +++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 19 deletions(-)
 delete mode 120000 srcpkgs/python3-pluggy
 create mode 100644 srcpkgs/python3-pluggy/template

diff --git a/srcpkgs/python-pluggy/template b/srcpkgs/python-pluggy/template
index 96ba995a3c8..a801360560f 100644
--- a/srcpkgs/python-pluggy/template
+++ b/srcpkgs/python-pluggy/template
@@ -1,15 +1,15 @@
 # Template file for 'python-pluggy'
 pkgname=python-pluggy
 version=0.9.0
-revision=1
+revision=2
 archs=noarch
-wrksrc="${pkgname/python-//}-${version}"
-build_style=python-module
+wrksrc="pluggy-${version}"
+build_style=python2-module
 pycompile_module="pluggy"
-hostmakedepends="python-setuptools python3-setuptools"
+hostmakedepends="python-setuptools"
 depends="python"
-checkdepends="python3-pytest"
-short_desc="Minimalist production ready python2 plugin system"
+checkdepends="python-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python2)"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="MIT"
 homepage="https://github.com/pytest-dev/pluggy"
@@ -17,20 +17,9 @@ distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
 checksum=19ecf9ce9db2fce065a7a0586e07cfb4ac8614fe96edf628a264b1c70116cf8f
 
 do_check() {
-	python3 -m pytest
+	python -m pytest
 }
 
 post_install() {
 	vlicense LICENSE
 }
-
-python3-pluggy_package() {
-	archs=noarch
-	pycompile_module="pluggy"
-	depends="python3"
-	short_desc="${short_desc/python2/python3}"
-	pkg_install() {
-		vmove usr/lib/python3*
-		vlicense LICENSE
-	}
-}
diff --git a/srcpkgs/python3-pluggy/template b/srcpkgs/python3-pluggy/template
new file mode 100644
index 00000000000..42b31ff8af5
--- /dev/null
+++ b/srcpkgs/python3-pluggy/template
@@ -0,0 +1,25 @@
+# Template file for 'python3-pluggy'
+pkgname=python3-pluggy
+version=0.12.0
+revision=1
+archs=noarch
+wrksrc="pluggy-${version}"
+build_style=python3-module
+pycompile_module="pluggy"
+hostmakedepends="python3-setuptools"
+depends="python3-importlib_metadata"
+checkdepends="python3-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python3)"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://github.com/pytest-dev/pluggy"
+distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
+checksum=0825a152ac059776623854c1543d65a4ad408eb3d33ee114dff91e57ec6ae6fc
+
+do_check() {
+	python3 -m pytest
+}
+
+post_install() {
+	vlicense LICENSE
+}

